Main Page Widgets Namespaces Book

# rgb.h File Reference

## Namespaces

namespace | Gdk

## Functions

bool | rgb_ditherable ()
| Determines whether the visual is ditherable.
Glib::RefPtr<Colormap> | rgb_get_colormap ()
| Get the preferred colormap for rendering image data.
Glib::RefPtr<Visual> | rgb_get_visual ()
| Gets a "preferred visual" chosen by GdkRGB for rendering image data on the default screen.

## Function Documentation

bool rgb_ditherable | ( |  | ) |

| Determines whether the visual is ditherable. This function may be useful for presenting a user interface choice to the user about which dither mode is desired; if the display is not ditherable, it may make sense to gray out or hide the corresponding UI widget. result true if the visual is ditherable.

Glib::RefPtr<Colormap> rgb_get_colormap | ( |  | ) |

Get the preferred colormap for rendering image data.

Not a very useful function; historically, GDK could only render RGB image data to one colormap and visual, but in the current version it can render to any colormap and visual. So there's no need to call this function.

Returns:
  The preferred colormap

Glib::RefPtr<Visual> rgb_get_visual | ( |  | ) |

Gets a "preferred visual" chosen by GdkRGB for rendering image data on the default screen.

In previous versions of GDK, this was the only visual GdkRGB could use for rendering. In current versions, it's simply the visual GdkRGB would have chosen as the optimal one in those previous versions. GdkRGB can now render to drawables with any visual.

Returns:
  The Gdk::Visual chosen by GdkRGB.